<div class="container">
  <div class="row">
    <div class="col-sm-8">
      <h1>Campaign Requests</h1>
    </div>
    <div class="col-sm-4">
      <button class="btn btn-info" (click) = "createRequest()"><i class="fa fa-plus-circle" aria-hidden="true"></i>&nbsp;&nbsp;
        <i *ngIf="isCreateRequest" class="fa fa-refresh fa-spin fa-fw"></i>
        {{isCreateRequest ? 'Creating...' : 'Create Request'}}
      </button> 
    </div>
    <div class="col-sm-12">
        <table class="table">
            <thead>
              <tr>
                <th>Id</th>
                <th>Description</th>
                <th>Recipient</th>
                <th>Amount</th>
                <th>Approval Count</th>
                <th>Approve</th>
                <th>Finalize</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let request of requests; index as i">
                <td >{{ i }}</td>
                <td>{{ request.description }}</td>
                <td>{{ request.recipient }}</td>
                <td>{{ web3Service._web3.utils.fromWei(request.value, 'ether') }}</td>
                <td>{{ request.approvalCount }} / {{ approversCount }}</td>
                <td><button class="btn btn-info" (click) = "approveRequest(i)">Approve</button></td>
                <td><button class="btn btn-success" (click) = "finalizeRequest(i)">Finalize</button></td>
              </tr>   
            </tbody>
          </table>
    </div>
  </div>
</div>